Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.mayar.id/llms.txt

Use this file to discover all available pages before exploring further.

curl --request POST 'https://api.mayar.id/hl/v1/invoice/edit' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here' \
--data-raw '{
    	"id": "f774034d-d9cc-43a0-97d8-a2520c127f03",
    	"redirectUrl": "https://web.mayar.id",
    	"description": "Berubah Jadi Invoice Yang Sudah Diedit",
    	"items":[{
        	"quantity": 2,
        	"rate": 55000,
        	"description": "Berubah Jadi Invoice Yang Sudah Diedit"
    	}]
	}
'
{
    "statusCode": 200,
    "messages": "success",
    "data": {
        "id": "f774034d-d9cc-43a0-97d8-a2520c127f03",
        "link": "https://andiak.myr.id/invoices/ibzfrf4880"
    }
}
Endpoint:
https://api.mayar.id/hl/v1/invoice/edit

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Request Body

id
string
required
A unique identifier obtained when creating an invoice. If accessed through the dashboard, it can be found at the URL on the invoice details page.Example:f774034d-d9cc-43a0-97d8-a2520c127f03
name
string
required
Customer Name
email
string
required
Customer email used to send proof of payment, or payment reminders
mobile
string
required
Customer telephone number
redirectURL
string
required
The destination URL where the customer will be redirected after a successful or completed transaction.
description
string
required
General description of the transaction or order.
expiredAt
string (format ISO 8601 date-time)
required
The transaction expiration date and time. This means that after this time, the payment link or order is no longer valid.
items
array
List of items (products/services) purchased.
quantity
integer
Number of items ordered.
rate
integer
Price per unit of goods.

Response

Successful Response

Main Structure (Root)

statusCode
integer
Status code form API.
messages
string
Status message that describes the status code.
data
array of object
The main data returned (invoice details).

data Structure (Array Of Object)

id
string<uuid>
Unique invoice ID.
The URL that users/clients can access to open invoices.